#include <Adafruit_NeoPixel.h>

#define N_LEDS 17
#define PIN     1

Adafruit_NeoPixel strip = Adafruit_NeoPixel(N_LEDS, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  strip.begin();
}

int8_t pos = 0, dir = 1; // Position, direction, speed of "eye"

void loop() {
  int j;

  // Draw 5 pixels centered on pos.  setPixelColor() will clip any
  // pixels off the ends of the strip, we don't need to watch for that.
  //strip.setPixelColor(pos - 2, 0x0a0000); // Dark red
  //strip.setPixelColor(pos - 1, 0x400000); // Medium red
  strip.setPixelColor(pos    , 0xFF0000); // Center pixel is brightest
  if (dir == -1) {
    strip.setPixelColor(pos + 1, 0x800000); // Medium red
    strip.setPixelColor(pos + 2, 0x400000); // Dark red
    strip.setPixelColor(pos + 3, 0x100000); // Dark red
    strip.setPixelColor(pos + 4, 0x000000); // Dark red
    //strip.setPixelColor(pos + 5, 0x000000); // off
  }
  if (dir == 1) {
    strip.setPixelColor(pos - 1, 0x800000); // Medium red
    strip.setPixelColor(pos - 2, 0x400000); // Dark red
    strip.setPixelColor(pos - 3, 0x100000); // Dark red
    strip.setPixelColor(pos - 4, 0x000000); // Dark red
    //strip.setPixelColor(pos - 5, 0x000000); // off
  }
  
  strip.show();
  delay(10);
  //delay(map(analogRead(1), 0, 1023, 10, 125));

  // Rather than being sneaky and erasing just the tail pixel,
  // it's easier to erase it all and draw a new one next time.
  for(j=-2; j<= 2; j++) strip.setPixelColor(pos+j, 0);

  // Bounce off ends of strip
  pos += dir;
  if(pos < 0) {
    pos = 1;
    dir = -dir;
  } else if(pos >= strip.numPixels()) {
    pos = strip.numPixels() - 2;
    dir = -dir;
  }
}
